Use "set -e" command instead of "#! /bin/sh -e" magic.
authorBen Pfaff <blp@nicira.com>
Tue, 4 Nov 2008 22:26:38 +0000 (14:26 -0800)
committerBen Pfaff <blp@nicira.com>
Tue, 4 Nov 2008 22:26:38 +0000 (14:26 -0800)
Otherwise, running the script through an explicit shell invocation, such
as "sh -x <script>" for debugging, will fail to set -e and therefore the
script's behavior will change.

boot.sh
secchan/commands/update
utilities/ofp-pki.in

diff --git a/boot.sh b/boot.sh
index 0f48d43..ae2b366 100755 (executable)
--- a/boot.sh
+++ b/boot.sh
@@ -1,4 +1,6 @@
-#! /bin/sh -e
+#! /bin/sh
+
+set -e
 
 have_ext=$(if test -e ext/automake.mk; then echo yes; else echo no; fi)
 for opt
index 4d617fe..545e3c2 100755 (executable)
@@ -1,3 +1,4 @@
-#! /bin/sh -e
+#! /bin/sh
+set -e
 apt-get update -qy
 apt-get upgrade -qy
index 89a3dba..7d51469 100755 (executable)
@@ -1,4 +1,6 @@
-#! /bin/sh -e
+#! /bin/sh
+
+set -e
 
 pkidir='@PKIDIR@'
 command=